#!/bin/sh
set -x
# Version: 0.0.5 pre-alpha
# Author: Dimitrios Dimitrakos mail@dimitrios.de
# $Id: vdr2ac3.sh,v 1.2 2003/06/28 14:32:59 dimi Exp $

. ./vdrconvert.env

[ -z "$AC3_DESTDIR" ]  && AC3_DESTDIR=$DESTDIR/ac3

NewJobs=$1
JOBFIL=$2
DESTDIR=$AC3_DESTDIR
TEMPDIR=${TEMPDIR}/${JOBFIL}

[ -d $DESTDIR ] || mkdir -p $DESTDIR 
[ -d $TEMPDIR ] || mkdir -p $TEMPDIR

if [ -w ${TEMPDIR} -a -w ${DESTDIR} ]
then
      declare CMDLIN=`head -n1 $NewJobs`   # Job auslesen
      rm $NewJobs
      let Number=1
      for i in $CMDLIN
      do
	  UniqueDir[Number]=`mktemp -d ${TEMPDIR}/VDRSYNC.XXXXXX`
	  spalten=`echo $i|sed 's/\// /g'|wc -w`
	  Record=`echo $i|sed 's/\%//g'|cut -f $spalten -d '/'`
	  let spalten=spalten-1
	  SubTitel=`echo $i|cut -f $spalten -d '/'`
	  Datum=`basename $i|cut -f1 -d'.'`
	  if [ "/$SubTitel" = "$VDRROOT" ] 
	  then
		Titel=${Datum}_${Record} 
	  else
		Titel=${SubTitel}/${Datum}_${Record}
		[ ! -d ${DESTDIR}/${SubTitel} ] && mkdir -p ${DESTDIR}/${SubTitel}

	  fi
	  mkdir -p ${UniqueDir[Number]}
	  cd ${UniqueDir[Number]}
          echo -o ${UniqueDir[Number]} $i/ |xargs nice -$PRIO $VDRSYNC
	  if [ -f ${UniqueDir[Number]}/bd.ac3 ] # Das geht bestimmt besser
	  then
	    cp ${UniqueDir[Number]}/bd.ac3 ${DESTDIR}/${Titel}.ac3
	  fi
	  cd -
          rm -rf ${UniqueDir[Number]}
	  let Number=Number+1
      done
      echo $CMDLIN >> ${JOBFIL}.done
else
      echo "ERROR : ${DESTDIR} or ${TEMPDIR} are not writable. $0 exit"
fi
